Subject: bug#75477: 31.0.50; scratch/igc: crash on the latest commit

From: Gerd Möllmann <[email-masked]>
Date: Fri, 10 Jan 2025 16:30:57 +0100

Ihor Radchenko <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Don't know if that helps, but M-x igc-root-stats can be used to display
>> information about known roots. Maybe one can see there if the number of
>> roots increases over time, which would indicate if there is something
>> like a "root leak", for example by using xfree instead of igc_xfree.
>
> I noticed that creating a new frame took longer and longer over time
> recently. Up to a dozen of seconds.

M-x igc-stats could perhaps also be useful to see if objects accumulate
over time.